WEBKITBROWSER_AUTOSTART ?= "false"
WEBKITBROWSER_MEDIADISKCACHE ?= "false"
WEBKITBROWSER_STARTURL ?= "about:blank"
WEBKITBROWSER_XHRCACHE ?= "true"
WEBKITBROWSER_TRANSPARENT ?= "true"
WEBKITBROWSER_INJECTEBLE_BUNDLE ?= "libWPEInjectedBundle.so"

#setting local storage enabled state
JSPP_LOCALSTORAGE_ENABLE ?= "true"

#setting 100KB localstorage size
HTML_APP_LOCALSTORAGESIZE ?= "100"
LIGHTNING_APP_LOCALSTORAGESIZE ?= "100"
JSPP_LOCALSTORAGESIZE ?= "100"

#setting 5MB localstorage size
SEARCH_AND_DISCOVERY_APP_LOCALSTORAGESIZE ?= "5120"
RESIDENT_APP_LOCALSTORAGESIZE ?= "5120"

RESIDENT_APP_STARTURL ?= "about:blank"
RESIDENT_APP_AUTOSTART ?= "false"
RESIDENT_APP_CLIENTIDENTIFIER ?= "wst-residentapp"
RESIDENT_APP_STARTUPORDER ?= "30"
SEARCH_AND_DISCOVERY_APP_CLIENTIDENTIFIER ?= "wst-searchanddiscoveryapp"
WEBKITBROWSER_CLIENTIDENTIFIER ?= "wst-webkitbrowser"
HTML_APP_CLIENTIDENTIFIER ?= "wst-htmlapp"
LIGHTNING_APP_CLIENTIDENTIFIER ?= "wst-lightningapp"
JSPP_CLIENTIDENTIFIER ?= "westeros-asplayer"
HTML_APP_LOCALSTORAGE ?= "/opt/persistent/rdkservices/HtmlApp"
LIGHTNING_APP_LOCALSTORAGE ?= "/opt/persistent/rdkservices/LightningApp"
JSPP_LOCALSTORAGE ?= "/opt/persistent/rdkservices/JSPP"
SEARCH_AND_DISCOVERY_APP_LOCALSTORAGE ?= "/opt/persistent/rdkservices/SearchAndDiscoveryApp"
RESIDENT_APP_LOCALSTORAGE ?= "/opt/persistent/rdkservices/ResidentApp"
SEARCH_AND_DISCOVERY_APP_DISKCACHEDIR ?= "/tmp/data/.cache"
RESIDENT_APP_DISKCACHEDIR ?= "/tmp/data/.cache"
WEBKITBROWSER_DISKCACHEDIR ?= "/tmp/data/.cache/WebKitBrowser"
HTML_APP_DISKCACHEDIR ?= "/tmp/data/.cache/HtmlApp"
LIGHTNING_APP_DISKCACHEDIR ?= "/tmp/data/.cache/LightningApp"
JSPP_DISKCACHEDIR ?= "/tmp/data/.cache/JSPP"

HTML_APP_PERSISTENTPATHPOSTFIX ?= "HtmlApp"
LIGHTNING_APP_PERSISTENTPATHPOSTFIX ?= "LightningApp"
JSPP_PERSISTENTPATHPOSTFIX ?= "JSPP"
RESIDENT_APP_PERSISTENTPATHPOSTFIX ?= "ResidentApp"
SEARCH_AND_DISCOVERY_APP_PERSISTENTPATHPOSTFIX ?= "SearchAndDiscoveryApp"
WEBKITBROWSER_PERSISTENTPATHPOSTFIX ?= "WebkitBrowser"

SEARCH_AND_DISCOVERY_APP_SECURE="false"
RESIDENT_APP_SECURE="false"
HTML_APP_SECURE="true"
LIGHTNING_APP_SECURE="true"
JSPP_SECURE="true"
WEBKITBROWSER_SECURE="true"

JSPP_STARTURL ?= "about:blank"
JSPP_DISKCACHE ?= "10m"
JSPP_WEBINSPECTOR_ADDRESS ?= ":::10000"

HTML_APP_COMPOSITOR ?= "msaa"
LIGHTNING_APP_COMPOSITOR ?= "msaa"
